<?php
/*
 * Load settings to determine whether a NetEye configuration element should be shown 
 */
function readConsoleEnabled($configFile){

	$arr_consoles = array();

	if ($rows = file($configFile)){
			
		foreach($rows as $row){
			if (strstr($row, "#")){
			} else {

				$rowWords = split(chr(33),$row,2);

				if (count($rowWords) == 2){
					
					if (trim($rowWords[1]) == "1" ){

						$arr_consoles[$rowWords[0]] = 1;
					} else {
						
						$arr_consoles[$rowWords[0]] = 0;
					}

				} else {
					echo "Error while reading userconfig.php.inc";
				}
			}
		}
		return $arr_consoles;
	} else {
		return;
	}
}

function setConfigurationConsoleOnOff($status, $console_id, $userConfigFile){

	if ($rows = file($userConfigFile)){
			
		for($i=0;$i < count($rows); $i++){
			if (strstr($rows[$i], "#")){
			} else {

				$rowWords = split(chr(33),$rows[$i],2);

				if (count($rowWords) == 2){
					
					//update row
					if (trim($rowWords[0]) == $console_id ){
						
						$rowWords[1] = $status;
						$rows[$i] = $rowWords[0]."!".$rowWords[1]."\n";
						
					}	
				}
			}
		}
		
		if ($fh = fopen($userConfigFile, 'w')){
			
			foreach ($rows as $row){

				fwrite($fh, $row);
			}
			fclose($fh);
			 
		} else {
			echo ("<br><br>Warning: There are no sufficient write permissions to update the setting in the user config file to enable/disable the selected configuration console.");
		}
			
		
		
	} else {
		
		echo " Error while updating console configuration: Config file open failed.";
		return false;
	}
}
?>